package com.backendsys.modules.ai.volcengine.service;

import com.backendsys.modules.ai.volcengine.entity.VolcengineVideoTask;
import com.backendsys.modules.ai.volcengine.entity.VolcengineVideoTaskDTO;
import com.backendsys.modules.ai.volcengine.entity.VolcengineVideoTaskDetail;
import com.backendsys.modules.ai.volcengine.entity.VolcengineVideoTaskNotify;
import com.backendsys.utils.response.PageEntity;
import com.baomidou.mybatisplus.extension.service.IService;

public interface VolcengineVideoTaskService extends IService<VolcengineVideoTask> {

    VolcengineVideoTask generateVideo(VolcengineVideoTask volcengineVideoTask);

    VolcengineVideoTaskDetail selectTaskStatus(String volcengineTaskId);

    PageEntity selectTaskList(VolcengineVideoTaskDTO dto);

    VolcengineVideoTaskDetail regenerate(VolcengineVideoTaskDetail volcengineVideoTaskDetail);

    void notify(VolcengineVideoTaskNotify volcengineVideoTaskNotify);
}
